- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouter_bgp – CLI command to add/modify/remove vrouter-bgp

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to add Border Gateway Protocol neighbor to a vRouter modify Border Gateway Protocol neighbor to a vRouter and remove Border Gateway Protocol neighbor from a vRouter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_advertisement_interval string |  | Minimum interval between sending BGP routing updates.
pn_allowas_in boolean | Choices: no yes | Allow/reject routes with local AS in AS_PATH.
pn_bfd boolean | Choices: no ← yes | BFD protocol support for fault detection.
pn_bfd_multihop boolean | Choices: no yes | always use BFD multi-hop port for fault detection.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_connect_retry_interval string |  | BGP Connect retry interval (seconds).
pn_default_originate boolean | Choices: no yes | announce default routes to the neighbor or not.
pn_ebgp_multihop string |  | value for external BGP from 1 to 255.
pn_interface string |  | Interface to reach the neighbor.
pn_max_prefix string |  | maximum number of prefixes.
pn_max_prefix_warn_only boolean | Choices: no yes | warn if the maximum number of prefixes is exceeded.
pn_multi_protocol - | Choices: ipv4-unicast ipv6-unicast | Multi-protocol features.
pn_neighbor string / required |  | IP address for BGP neighbor.
pn_neighbor_holdtime string |  | BGP Holdtime (seconds).
pn_neighbor_keepalive_interval string |  | BGP Keepalive interval (seconds).
pn_next_hop_self boolean | Choices: no yes | BGP next hop is self or not.
pn_no_route_map_in string |  | Remove ingress route-map from BGP neighbor.
pn_no_route_map_out string |  | Remove egress route-map from BGP neighbor.
pn_override_capability boolean | Choices: no yes | override capability.
pn_password string |  | password for MD5 BGP.
pn_prefix_list_in string |  | prefixes used for filtering.
pn_prefix_list_out string |  | prefixes used for filtering outgoing packets.
pn_remote_as string |  | BGP remote AS from 1 to 4294967295.
pn_route_map_in string |  | route map in for nbr.
pn_route_map_out string |  | route map out for nbr.
pn_route_reflector_client boolean | Choices: no yes | set as route reflector client.
pn_send_community boolean | Choices: no yes | send any community attribute to neighbor.
pn_soft_reconfig_inbound boolean | Choices: no yes | soft reset to reconfigure inbound traffic.
pn_update_source string |  | IP address of BGP packets required for peering over loopback interface.
pn_vrouter_name string / required |  | name of service config.
pn_weight - |  | default weight value between 0 and 65535 for the neighbor's routes.
state string | Choices: present ← absent update | vrouter-bgp configuration command.

## Examples

    - name: "Add BGP to vRouter"
      pn_vrouter_bgp:
        state: 'present'
        pn_vrouter_name: 'sw01-vrouter'
        pn_neighbor: '105.104.104.1'
        pn_remote_as: 65000
        pn_bfd: true

    - name: "Remove BGP to vRouter"
      pn_vrouter_bgp:
        state: 'absent'
        pn_vrouter_name: 'sw01-vrouter'
        pn_neighbor: '105.104.104.1'

    - name: "Modify BGP to vRouter"
      pn_vrouter_bgp:
        state: 'update'
        pn_vrouter_name: 'sw01-vrouter'
        pn_neighbor: '105.104.104.1'
        pn_remote_as: 65000
        pn_bfd: false
        pn_allowas_in: true

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-bgp command.
stdout list | always | set of responses from the vrouter-bgp command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.